Archust Docs
Publishers

Create publisher (tenantAdmin)

POST
/v1/publishers

Authorization

bearerAuth
AuthorizationBearer <token>

Clerk session JWT. Also send x-clerk-org-id if org context needed.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/publishers" \  -H "Content-Type: application/json" \  -d '{    "platform": "wordpress",    "name": "string",    "siteUrl": "http://example.com",    "credentials": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",  "platform": "wordpress",  "name": "string",  "siteUrl": "http://example.com",  "status": "active",  "last_tested_at": "2019-08-24T14:15:22Z"}